<template>
	<view>
		<!-- <uni-forms ref="formData" :modelValue="formData" label-width="120"> -->
		<uni-forms class="customcss" label-width="120">
			<uni-forms-item label="托盘条码">
				<uni-easyinput type="text" :focus="!barcodefocus" v-model="barcode" placeholder="请扫描托盘条码" ref='midInput'
					@input="locationNoinputChange()" />
			</uni-forms-item>
		</uni-forms>
		<uni-list>
			<uni-list-item direction="column" v-if="stockInfoBarcode">
				<template v-slot:body>
					<view class="uni-list-box">
						<view class="uni-content">
							<view class="uni-title-sub uni-ellipsis-2">托盘号：{{stockInfoBarcode}}</view>
							<view class="uni-title-sub uni-ellipsis-2">总数量：{{Summmary}}</view>
						</view>
					</view>
				</template>
			</uni-list-item>
			<uni-list-item direction="column" v-for="(item,index) in stockInfoDetail" :key="index">
				<template v-slot:body>
					<view class="uni-list-box">
						<view class="uni-content">
							<view class="uni-title-sub uni-ellipsis-2">物料编号：{{item.materielCode}}</view>
							<view class="uni-note">物料名称：{{item.materielName}}</view>
							<view class="uni-note">物料批次：{{item.batchNo}}</view>
							<view class="uni-note">库存数量：{{item.stockQuantity}}</view>
							<view class="uni-note">出库数量：{{item.outboundQuantity}}</view>
							<view class="uni-note">生产日期：{{item.productionDate}}</view>
							<view class="uni-note">有 效 期：{{item.effectiveDate}}</view>
						</view>
					</view>
				</template>
			</uni-list-item>
		</uni-list>

		<u-toast ref="uToast" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				// stockInfo: [],
				stockInfoDetail: [],
				barcode: '',
				Summmary: 0,
				barcodefocus: false,
				warehouseId: 0,
				stockInfoBarcode: '',
			}
		},
		onLoad(res) {
			this.warehouseId = res.warehouseId;
		},
		methods: {
			locationNoinputChange() {
				this.$nextTick(function(x) {
					if (this.barcode != '') {
						var postData = {
							MainData: {
								"barcode": this.barcode,
								"warehouseId": this.warehouseId,
							}
						};
						this.$u.post('/api/StockInfo/StockQueryData', postData).then(res => {
							this.stockInfoBarcode = "";
							// this.stockInfo = [];
							this.stockInfoDetail = [];
							if (res.status) {
								this.stockInfoBarcode = res.data.palletCode,
									// this.stockInfo = res.data,
									this.stockInfoDetail = res.data.details
									//获取总数量
									this.stockInfoDetail.forEach(item => {
										this.Summmary+= item.stockQuantity;
									});
							} else {
								this.$refs.uToast.show({
									// title: "未找到托盘信息",
									title: res.message,
									type: "error"
								})
							}
							this.barcode = "";
						})
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}

	.customcss {
		background-color: #fff;
		padding: 20rpx 40rpx;
		width: 100%;
	}

	.footer {
		// padding-top: 20%;
	}
</style>